{
  "schema_version": "1.4.0",
  "id": "GHSA-mqqx-775h-25rp",
  "modified": "2022-05-01T07:40:49Z",
  "published": "2022-05-01T07:40:49Z",
  "aliases": [
    "CVE-2006-6731"
  ],
  "details": "Multiple buffer overflows in Sun Java Development Kit (JDK) and Java Runtime Environment (JRE) 5.0 Update 7 and earlier, Java System Development Kit (SDK) and JRE 1.4.2_12 and earlier 1.4.x versions, and SDK and JRE 1.3.1_18 and earlier allow attackers to develop Java applets that read, write, or execute local files, possibly related to (1) integer overflows in the Java_sun_awt_image_ImagingLib_convolveBI, awt_parseRaster, and awt_parseColorModel functions; (2) a stack overflow in the Java_sun_awt_image_ImagingLib_lookupByteRaster function; and (3) improper handling of certain negative values in the Java_sun_font_SunLayoutEngine_nativeLayout function.  NOTE: some of these details are obtained from third party information.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2006-6731"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10134"
    },
    {
      "type": "WEB",
      "url": "http://dev2dev.bea.com/pub/advisory/243"
    },
    {
      "type": "WEB",
      "url": "http://docs.info.apple.com/article.html?artnum=307177"
    },
    {
      "type": "WEB",
      "url": "http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&objectID=c00876579"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/Security-announce/2007/Dec/msg00001.html"
    },
    {
      "type": "WEB",
      "url": "http://lists.suse.com/archive/suse-security-announce/2007-Jan/0003.html"
    },
    {
      "type": "WEB",
      "url": "http://scary.beasts.org/security/CESA-2005-008.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23445"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23650"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/23835"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24099"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24189"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/24468"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25283"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/25404"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/28115"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200701-15.xml"
    },
    {
      "type": "WEB",
      "url": "http://security.gentoo.org/glsa/glsa-200702-08.xml"
    },
    {
      "type": "WEB",
      "url": "http://securitytracker.com/id?1017425"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-102729-1"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-200705-20.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/149457"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/939609"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2007_10_ibmjava.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0062.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0072.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2007-0073.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/21675"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/cas/techalerts/TA07-022A.html"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2006/5073"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/0936"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/1814"
    },
    {
      "type": "WEB",
      "url": "http://www.vupen.com/english/advisories/2007/4224"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2006-12-26T23:28:00Z"
  }
}